#

API Docs for:
Show: Inherited Protected Private Deprecated

# Lines Class

Defined in: `input/charts/Lines.js:1`
Module: charts

Utility class used for drawing lines.

- Index
- Methods
- Properties

## Item Index

### Methods

- _getGraphic
- _getLineDefaults
- _toggleVisible
- drawDashedLine
- drawLines
- drawSpline

### Properties

- _lineDefaults

## Methods

### `_getGraphic`

() private

Defined in `input/charts/Lines.js:18`

Creates a graphic in which to draw a series.

#### Returns:

Graphic

### `_getLineDefaults`

() protected

Defined in `input/charts/Lines.js:241`

Default values for `styles` attribute.

#### Returns:

Object

### `_toggleVisible`

(

- `visible`

)
private

Defined in `input/charts/Lines.js:36`

Toggles visibility

#### Parameters:

- `visible` Boolean

  indicates visibilitye

### `drawDashedLine`

(

- `xStart`
- `yStart`
- `xEnd`
- `yEnd`
- `dashSize`
- `gapSize`

)
private

Defined in `input/charts/Lines.js:190`

Draws a dashed line between two points.

#### Parameters:

- `xStart` Number

  The x position of the start of the line

- `yStart` Number

  The y position of the start of the line

- `xEnd` Number

  The x position of the end of the line

- `yEnd` Number

  The y position of the end of the line

- `dashSize` Number

  the size of dashes, in pixels

- `gapSize` Number

  the size of gaps between dashes, in pixels

### `drawLines`

() protected

Defined in `input/charts/Lines.js:51`

Draws lines for the series.

### `drawSpline`

() protected

Defined in `input/charts/Lines.js:144`

Connects data points with a consistent curve for a series.

## Properties

### `_lineDefaults`

Object private

Defined in `input/charts/Lines.js:11`